
Name:           accountsservice
Version:        0.6.10
Release:        2%{?dist}
Summary:        D-Bus interfaces for querying and manipulating user account information

Group:          System Environment/Daemons
License:        GPLv3+
URL:            http://www.fedoraproject.org/wiki/Features/UserAccountDialog
#VCS: git:git://git.freedesktop.org/accountsservice
Source0:        http://mclasen.fedorapeople.org/accounts/accountsservice-%{version}.tar.bz2

BuildRequires:  glib2-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  polkit-devel
BuildRequires:  intltool
BuildRequires:  systemd-units
BuildRequires:  gobject-introspection-devel

Requires:       polkit
Requires:       ConsoleKit
Requires:       shadow-utils

Patch0:         fix-sgallaghs-machine.patch

%package libs
Summary: Client-side library to talk to accountservice
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description libs
The accountsservice-libs package contains a library that can
be used by applications that want to interact with the accountsservice
daemon.


%package devel
Summary: Development files for accountsservice-libs
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}

%description devel
The accountsservice-devel package contains headers and other
files needed to build applications that use accountsservice-libs.


%description
The accountsservice project provides a set of D-Bus interfaces for
querying and manipulating user account information and an implementation
of these interfaces, based on the useradd, usermod and userdel commands.


%prep
%setup -q
%patch0 -p1 -b .fix-sgallaghs-machine

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/*.la
rm $RPM_BUILD_ROOT%{_libdir}/*.a
%find_lang accounts-service


%files -f accounts-service.lang
%defattr(-,root,root,-)
%doc COPYING README AUTHORS
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.Accounts.conf
%{_libexecdir}/accounts-daemon
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.User.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.Accounts.service
%{_datadir}/polkit-1/actions/org.freedesktop.accounts.policy
%dir %{_localstatedir}/lib/AccountsService/
%dir %{_localstatedir}/lib/AccountsService/users
%dir %{_localstatedir}/lib/AccountsService/icons
/lib/systemd/system/accounts-daemon.service

%files libs
%{_libdir}/libaccountsservice.so.*
%{_libdir}/girepository-1.0/AccountsService-1.0.typelib

%files devel
%{_includedir}/accountsservice-1.0
%{_libdir}/libaccountsservice.so
%{_libdir}/pkgconfig/accountsservice.pc
%{_datadir}/gir-1.0/AccountsService-1.0.gir

%changelog
* Tue May 10 2011 Ray Strode <rstrode@redhat.com> 0.6.10-2
- Fix sgallagh's machine
  Resolves: #703569

* Fri Apr 29 2011 Ray Strode <rstrode@redhat.com> 0.6.10-1
- Update to 0.6.10

* Wed Apr 27 2011 Ray Strode <rstrode@redhat.com> 0.6.9-5
- Fix autologin (more bug 678236)

* Tue Apr 26 2011 Ray Strode <rstrode@redhat.com> 0.6.9-4
- more bug 678236

* Tue Apr 26 2011 Ray Strode <rstrode@redhat.com> 0.6.9-3
- Stabbity, stab, stab (more bug 678236).

* Mon Apr 25 2011 Ray Strode <rstrode@redhat.com> 0.6.9-2
- More stabs at fixing empty user list problems (bug 678236)

* Fri Apr 15 2011 Matthias Clasen <mclasen@redhat.com> 0.6.9-1
- Update to 0.6.9

* Tue Mar 22 2011 Ray Strode <rstrode@redhat.com> 0.6.7-1
- Update to 0.6.7

* Thu Mar 17 2011 Ray Strode <rstrode@redhat.com> 0.6.6-1
- Update to 0.6.6

* Thu Mar 10 2011 Ray Strode <rstrode@redhat.com> 0.6.5-2
- Fix crash reported on #gnome-hackers this morning

* Tue Mar 08 2011 Ray Strode <rstrode@redhat.com> 0.6.5-1
- Update to 0.6.5

* Sun Feb 27 2011 Matthias Clasen <mclasen@redha.com> - 0.6.4-3
- Really keep the gdm user off the user list

* Thu Feb 24 2011 Matthias Clasen <mclasen@redha.com> - 0.6.4-2
- Keep excluded users off the user list

* Wed Feb 23 2011 Ray Strode <rstrode@redhat.com> 0.6.4-1
- Update to latest release

* Tue Feb 22 2011 Ray Strode <rstrode@redhat.com> 0.6.3-3
- Fix empty user list

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 02 2011 Ray Strode <rstrode@redhat.com> 0.6.3-1
- Update to 0.6.3

* Thu Jan 27 2011 Matthias Clasen <mclasen@redhat.com> 0.6.2-1
- Update to 0.6.2

* Wed Jul 21 2010 Matthias Clasen <mclasen@redhat.com> 0.6.1-1
- Update to 0.6.1
- Install systemd unit file

* Mon Apr  5 2010 Matthias Clasen <mclasen@redhat.com> 0.6-2
- Always emit changed signal on icon change

* Tue Mar 30 2010 Matthias Clasen <mclasen@redhat.com> 0.6-1
- Update to 0.6

* Mon Mar 22 2010 Matthias Clasen <mclasen@redhat.com> 0.5-1
- Update to 0.5

* Mon Feb 22 2010 Bastien Nocera <bnocera@redhat.com> 0.4-3
- Fix directory ownership

* Mon Feb 22 2010 Bastien Nocera <bnocera@redhat.com> 0.4-2
- Add missing directories to the filelist

* Fri Jan 29 2010 Matthias Clasen <mclasen@redhat.com> 0.4-1
- Initial packaging, based on work by Richard Hughes
